Page MenuHomePhabricator

PetScan problem: 504 Gateway Time-out
Closed, DuplicatePublic

Description

The tool PetScan

which is very useful for

  • creating new Wikidata objects for unconnected items or
  • adding statements to existing Wikidata objects

for example, returns a "504 Gateway Time-out" since 8th of April.

It has been working again in between several times, but failed again every time after a short period.

Also see

Is it possible to check/restart, ... this tool?

Thanks a lot!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2020, 8:07 PM

Mentioned in SAL (#wikimedia-cloud) [2020-04-30T21:03:39Z] <bd808> Killed apparently hung process on petscan4.petscan.eqiad.wmflabs (T251567)

Mentioned in SAL (#wikimedia-cloud) [2020-04-30T21:04:33Z] <bd808> Started a screen as magnus and then ~magnus/petscan/run.sh inside it (T251567)

bd808 closed this task as Resolved.Apr 30 2020, 9:08 PM
bd808 claimed this task.
bd808 added subscribers: Framawiki, bd808.

Restarted after @Framawiki asked on IRC.

https://grafana-labs.wikimedia.org/d/000000018/labs-project-board?orgId=1&from=1588267375778&to=1588288975779&var-project=petscan&var-server=All

Soon after the restart, the cpu usage on petscan4 (which handles the frontend webservice) stepped back up to 100%, where it's been sitting for the better part of the last 3-4 days. Unfortunately, it looks like this will take intervention from Magnus to resolve.

MB-one added a subscriber: MB-one.May 2 2020, 10:47 AM
Man77 added a subscriber: Man77.May 10 2020, 7:05 PM
Adithyak1997 updated the task description. (Show Details)May 27 2020, 5:23 PM

Restarted it now.
I am also working on a watcher script to restart it automatically when it goes down.